import { _decorator, Component, Node } from "cc";
import { ModuleDef } from "../../scripts/ModuleDef";
import { GameUILayers } from "../../scripts/GameUILayers";
import BaseUI from "../base/BaseUI";
const { ccclass, property } = _decorator;

@ccclass("BallUISoloMatch")
export class BallUISoloMatch extends BaseUI {
  static show() {
    tgx.UIMgr.inst.show(
      ModuleDef.BALL,
      "ui_lobby/ui_solo_match2",
      GameUILayers.POPUP
    );
  }

  protected simpleOnBtnClick(name: string): void {
    switch (name) {
      case "btn_close":
        this.closePage();
        break;
    }
  }
}
